import { generateUtilityClasses as e } from "@mui/material";
import { unstable_composeClasses as t } from "@mui/base";
import { componentName as o } from "./constants.js";
import { getComponentUtilityClass as n } from "../../../../utils/getComponentUtilityClass.js";
const C = e(o, [
  /* elements */
  "root",
  "ContainerImageComercial",
  "SimplebarComercial",
  "ItemRoot",
  "ItemSelect",
  "ContainerAccordion",
  "ContainerAccordionCase1",
  "IconAndButton",
  /* states or variants of elements */
  "IsActive"
]);
function l() {
  return {
    ...t({
      root: ["root"],
      ContainerImageComercial: ["ContainerImageComercial"],
      SimplebarComercial: ["SimplebarComercial"],
      ItemRoot: ["ItemRoot"],
      ItemSelect: ["ItemSelect"],
      ContainerAccordion: ["ContainerAccordion"],
      ContainerAccordionCase1: ["ContainerAccordionCase1"],
      IconAndButton: ["IconAndButton"]
    }, n(o), {})
  };
}
export {
  C as TopBarClasses,
  l as getTopBarClassesUtilityClass
};
